<div th:replace="~{fragments/header}"></div>
    <h1>Create person</h1>
    <form th:action="${edit} ? @{/person/edit/{id}(id=${id})} : @{/person/add/}"
        th:object="${personForm}" method="post">
        <input type="text" th:field="*{firstname}"/>
        <br/>
        <input type="text" th:field="*{lastname}"/>
        <br/>
        <input class="btn btn-primary" type="submit" value="Create"/>
    </form>

    <div th:if="${errors}">
        <table>
            <tr th:each="error : ${errors}">
                <td th:text="${error.toString()}"></td>
            </tr>
        </table>
    </div>
    
<div th:replace="~{fragments/footer}"></div>